import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import React from 'react';
declare type MouseOutDelayVariant = 'none' | 'long';
export declare type TooltipProps = PropsWithMetadata<{
    /** The element which triggers the tooltip pop-up. */
    children: React.ReactElement;
    /** Content rendered inside the tooltip pop-up */
    content: React.ReactNode;
    /** id of the tooltip */
    id?: string;
    /** Mouse out delay specifying how long a tooltip stays visible after hovering out */
    mouseOutDelay?: MouseOutDelayVariant;
    /** Placement of the tooltip */
    placement?: 'top' | 'left' | 'bottom' | 'right';
    /** Whether tooltip text stays visible when user moves the pointer over its content (requires long `mouseOutDelay`) */
    interactive?: boolean;
}>;
declare const Tooltip: ({ id, children, content, mouseOutDelay, metadata, interactive, placement, }: TooltipProps) => JSX.Element;
export default Tooltip;
